Loading...
Searching...
No Matches
casacore::MSPointingEnums Class Reference
ms package (libcasa_ms) » MeasurementSets_module

Enums for the MeasurementSet POINTING table. More...

`#include <MSPointingEnums.h>`

## Public Types

enum | PredefinedColumns { UNDEFINED_COLUMN , ANTENNA_ID , DIRECTION , INTERVAL , NAME , NUM_POLY , TARGET , TIME , TIME_ORIGIN , TRACKING , NUMBER_REQUIRED_COLUMNS , ENCODER , ON_SOURCE , OVER_THE_TOP , POINTING_MODEL_ID , POINTING_OFFSET , SOURCE_OFFSET , NUMBER_PREDEFINED_COLUMNS }
| The POINTING table colums with predefined meaning. More...
enum | PredefinedKeywords { UNDEFINED_KEYWORD , NUMBER_PREDEFINED_KEYWORDS }
| Keywords with a predefined meaning. More...

## Detailed Description

Enums for the MeasurementSet POINTING table.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Etymology

This class contains the enums for the MeasurementSet POINTING table

### Synopsis

This class does nothing. It is merely a container for the enumerations used by the MSPointing class. These enumerations define the standard columns and keywords.

### Example

See the documentation for MeasurementSet for examples on the use of these enumerations.

Definition at line 57 of file MSPointingEnums.h.

## Member Enumeration Documentation

## PredefinedColumns

enum casacore::MSPointingEnums::PredefinedColumns

The POINTING table colums with predefined meaning.

Keys: ANTENNA_ID, TIME, INTERVAL

Enumerator
UNDEFINED_COLUMN | "True" columns are defined. TYPE - UNIT - MEASURE
ANTENNA_ID | Antenna id Int.
DIRECTION | Antenna pointing direction (e.g. RA, DEC) as polynomial in time. Double(2,NUM_POLY+1) - rad - DIRECTION.
INTERVAL | Time interval Double - s.
NAME | Pointing Name. String
NUM_POLY | Polynomial order for *_DIR columns Int.
TARGET | Target direction Double(2,NUM_POLY+1) - rad - DIRECTION.
TIME | Time midpoint for interval. Double - s - EPOCH
TIME_ORIGIN | Time origin for the directions and rates. Double - s - EPOCH
TRACKING | Track flag - true if on position Bool.
NUMBER_REQUIRED_COLUMNS | Number of required columns .
ENCODER | Encoder values Double(2).
ON_SOURCE | On source flag - true if on source Bool.
OVER_THE_TOP | Over the top flag - true if antenna has been driven over the top Bool.
POINTING_MODEL_ID | Pointing model id Int.
POINTING_OFFSET | Pointing offset as polynomial in time Double(2,NUM_POLY+1) - rad - DIRECTION.
SOURCE_OFFSET | Offset from source as polynomial in time Double(2,NUM_POLY+1) - rad - DIRECTION.
NUMBER_PREDEFINED_COLUMNS | Not a column, but just a final enum specifying the number of enums.

Definition at line 61 of file MSPointingEnums.h.

## PredefinedKeywords

enum casacore::MSPointingEnums::PredefinedKeywords

Keywords with a predefined meaning.

Enumerator
UNDEFINED_KEYWORD | "True" keywords are defined.
NUMBER_PREDEFINED_KEYWORDS | Not a keyword, but just a final enum specifying the number of enums.

Definition at line 117 of file MSPointingEnums.h.

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSPointingEnums.h